import { CommandInteraction, SlashCommandBuilder } from "discord.js";
import { Command } from "../type/command";
import InventoryHelper from "../helpers/InventoryHelper";

export default class Inventory extends Command {
    constructor() {
        super();

        this.CommandBuilder = new SlashCommandBuilder()
            .setName('inventory')
            .setDescription('View your inventory');
    }

    public override async execute(interaction: CommandInteraction) {
        const embed = await InventoryHelper.GenerateInventoryPage(interaction.user.username, interaction.user.id, 0);

        await interaction.reply({
            embeds: [ embed.embed ],
            components: [ embed.row ],
        });
    }
}